{% extends 'site_base.html' %}

{% block body %}
<div class="jumbotron">
    <div class="container">
        <h1>Django Authwrap</h1>
    </div>
</div>
<div class="container">
    {% if user.is_authenticated %}
    <h2>Hello {{ user.email }}</h2>
    <ul class="list-unstyled">
        <li>
            <a href="{% url 'authwrap:change-email' %}">
                Update email address
            </a>
        </li>
        <li>
            <a href="{% url 'authwrap:change-password' %}">
                Update password
            </a>
        </li>
        <li>
            <a href="{% url 'authwrap:deactivate' %}">
                Deactivate your account
            </a>
        </li>
        <li>
            <a href="{% url 'authwrap:logout' %}">
                Logout
            </a>
        </li>
    </ul>
    {% else %}
    <h2>Create or login to your account</h2>
    <ul class="list-inline">
        <li>
            <a href="{% url 'authwrap:login' %}" class="btn btn-primary">Login</a>
        </li>
        <li>
            <a href="{% url 'authwrap:register' %}" class="btn btn-primary">Register</a>
        </li>
    </ul>
    {% endif %}
</div>
{% endblock %}